/*
 * GTK Cervi
 * vim:set sw=4 sta:
 *
 * Copyright (C) 2003  Tomas Janousek <tomi@nomi.cz>
 * See file COPYRIGHT and COPYING
 */

#ifndef FIELD_H_INCLUDED
#define FIELD_H_INCLUDED

#pragma interface

#include <bitset>

namespace std {
    class Field {
	public:
	    static const int width = 600;
	    static const int height = 450;
	    bitset<width*height + 1> _b;

	    Field() {
		_b[width*height] = 1;
	    }

	    // short for counting bit's index from x and y values
	    // also does range checking
	    static inline unsigned int pos(int x, int y) {
		if (x >= width || y >= height || x < 0 || y < 0) {
		    return width*height;
		}
		return y*width + x;
	    }
    };
}

#endif /* FIELD_H_INCLUDED */
